Bug 177038 - Review Request: perl-version: Perl extension for Version Objects
Review Request: perl-version: Perl extension for Version Objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-05 12:24 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 09:42:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-01-05 12:24:55 EST
Spec Name or Url: http://www.auroralinux.org/people/spot/review/perl-version.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/perl-version-0.50-1.src.rpm
Description: 
Perl extension for Version Objects

NOTE: This module is a new BuildRequires for perl-Class-DBI.
Comment 1 Ralf Corsepius 2006-01-06 05:47:03 EST
NEEDSWORK:

1. Missing 
BuildRequires: perl(Module::Build) >= 0.2611

2. shipping *.bs
3. Redundant CFLAGS
Comment 3 Jose Pedro Oliveira 2006-01-06 10:24:57 EST
By the way, version 0.51 is out (trivial update).

Diff from version-0.50 to version-0.51
http://search.cpan.org/diff?from=version-0.50&to=version-0.51

Another suggestion:
Tag the pod file listed in %files section as documentation.
Comment 4 Tom "spot" Callaway 2006-01-06 10:32:15 EST
Bump to 0.51, tag the pod file as doc:

SRPM: http://www.auroralinux.org/people/spot/review/perl-version-0.51-1.src.rpm
SPEC: http://www.auroralinux.org/people/spot/review/perl-version.spec
Comment 5 Ralf Corsepius 2006-01-06 11:55:39 EST
rpmlint isn't happy:

# rpmlint perl-version-0.51-1.i386.rpm
E: perl-version wrong-script-interpreter
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/version.pm "perl"E:
perl-version non-executable-script
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/version.pm 0644
E: perl-version wrong-script-interpreter
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/version/vxs.pm "perl"
E: perl-version non-executable-script
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/version/vxs.pm 0644
Comment 7 Ralf Corsepius 2006-01-08 23:22:17 EST
Some remarks on this excerpt from the spec:
sed -i "s|#!perl|#!%{_bindir}/perl|g" lib/version.pm
sed -i "s|#!perl|#!%{_bindir}/perl|g" lib/version/vxs.pm

1. You'd better use %{__perl} instead of %{_bindir}/perl in the sed pattern above.

2. These 2 lines could be written as one:
sed -i ...  lib/version.pm lib/version/vxs.pm

3. The "global modifier" (.../g) in the sed pattern isn't necessary.

I'll approve the package when point 1 has been addressed.
Comment 9 Ralf Corsepius 2006-01-09 20:15:20 EST
APPROVED
Comment 10 Jose Pedro Oliveira 2006-01-27 23:06:52 EST
Tom,

I have just placed new build requests as the previous ones - 2764, 2765, 2766 -
had failed (the required Module::Build version wasn't available at the time).

jpo

PS - This module could also be updated to version 0.53

Diff from version-0.51 to version-0.53
http://search.cpan.org/diff?from=version-0.51&to=version-0.53
Comment 11 Ralf Corsepius 2006-03-01 09:42:39 EST
Closing, apparently Spot missed to close this PR

Note You need to log in before you can comment on or make changes to this bug.